<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks bekijken</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const PERMISSION = '~%permission%';
	</script>
</head>
<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>Storage Locations for ~%prefixes%</h1>

<div class="center-screen" >
	<div class="small-input-container">
		<table id="input-container">
			<tr>
				<td class="left-col">TOPdesk Nummer</td>
				<td class="right-col">
					<a
						href="https://naturalis.topdesk.net/tas/secure/incident?action=lookup&lookup=naam&lookupValue=~%topdesk:topDeskId%"
						target="_blank">~%topDeskId%</a>
				</td>
				<td class="left-col">Status</td>
				<td class="right-col">~%status%</td>
			</tr>
			<tr>
				<td class="left-col">Aanvrager</td>
				<td class="right-col">~%requesterName%</td>
				<td class="left-col">Bestand</td>
				<td class="right-col">~%fileName%</td>
			</tr>
			<tr>
				<td class="left-col"># Prefix Segmenten</td>
				<td class="right-col">~%prefixSegmentCount%</td>
				<td class="left-col">Prefixes</td>
				<td class="right-col">~%prefixes%</td>
			</tr>
			<tr>
				<td class="left-col">Aantal labels</td>
				<td class="right-col" colspan="3">~%labelCount%</td>			
			</tr>
			~%%begin:commentsRow%
			<tr>
				<td class="left-col"><label for="comments">Opmerkingen</label></td>
				<td class="right-col" colspan="3">
					<textarea
						id="comments"
						rows="~%commentLineCount%"
						cols="70"
						disabled="disabled"
						style="border:none;background-color:transparent;font-size:90%;line-height:1.08;"
					>~%comments%</textarea>
				</td>
			</tr>
			~%%end:commentsRow%
			<tr>
				<td
					class="left-col"
					data-toggle="tooltip"
					title="De datum waarop het verzoek voor het eerst is afgehandeld. Als het verzoek sindsdien is heropend, aangepast en opnieuw afgehandeld, dan heeft dat *geen* invloed op de hier getoonde datum!"
					>Datum Afgehandeld</td>
				<td class="right-col">~%dateFirstClosed%</td>
				<td
					class="left-col"
					data-toggle="tooltip"
					title="Het aantal keren dat deze reeks uitgegeven (d.w.z. hoe vaak het verzoek is afgehandeld, heropend, afgehandeld, heropend, enz. enz.)"
				># Uitgegeven</td>
				<td class="right-col">~%dispenseCount%</td>
			</tr>
			~%%begin:layoutDisplay%
			<tr>
				<td class="left-col">Formaat</td>
				<td class="right-col" colspan="3">~%lastUsedLayout%</td>
			</tr>
			~%%end:layoutDisplay%
			<tr>
				<td class="left-col">Labels</td>
				<td class="right-col" colspan="3">
					<div id="storage-label-display">
					<table class="plain-table">
					~%%begin:labels%
						<tr>
							<td class="plain-cell-left">~%coarseGrainedLocation%</td>
							<td class="plain-cell-right">~%fineGrainedLocation%</td>
						</tr>
					~%%end:labels%
					</table>
					</div>
				</td>
			</tr>
		</table>
		
		<div id="view-buttons-container">		

			~%%begin:statusOpen%
			<button class="btn btn-outline-primary" onclick="action('~%storageLocationId%/lock')">
				Vergrendelen
			</button>	
			~%%end:statusOpen%
				
		
			~%%begin:statusLocked%
			<button class="btn btn-outline-primary" onclick="printStorage(~%storageLocationId%)">
				Afdrukken
			</button>	
			<button class="btn btn-outline-primary" onclick="action('~%storageLocationId%/unlock')">
				Ontgrendelen
			</button>	
			<button class="btn btn-outline-primary" onclick="action('~%storageLocationId%/archive')">
				Afhandelen
			</button>	
			~%%end:statusLocked%	
			
		
			~%%begin:statusClosed%
			<button class="btn btn-outline-primary" onclick="action('~%storageLocationId%/unarchive')">
				Heropenen
			</button>	
			~%%end:statusClosed%	
		
						
			<button class="btn btn-outline-primary" onclick="showListPage()">
				Sluiten
			</button>	
		</div>
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%

<script>	
$(function() {
	$("#simpleSearchTextInput").css("display", "none");	
	$("#simpleSearchButton").css("display", "none");
});

// Remove edit buttons for users with only VIEW permission
$('document').ready(function() {
	if (PERMISSION === "VIEW") {
		// Inactivate all but the close button
		$("#view-buttons-container").children("button").each(function () {
			let txt = $.trim($(this).text().toUpperCase());
			if (txt !== "SLUITEN") {
				$(this).remove();
			}
		})
	}
});
</script>

</body>
</html>